Subject: Re: [PATCH v7 07/10] docs: move protocol-related docs to man section 5

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 04 Aug 2022 18:29:39 +0200

On Wed, Aug 03 2022, Junio C Hamano wrote:

> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>
>> Continue the move of existing Documentation/technical/* protocol and
>> file-format documentation into our main documentation space. By moving
>> the things that discuss the protocol we can properly link from
>> e.g. lsrefs.unborn and protocol.version documentation to a manpage we
>> build by default.
>>
>> So far we have been using the "gitformat-" prefix for the
>> documentation we've been moving over from Documentation/technical/*,
>> but for protocol documentation let's use "gitprotocol-*".
>>
>> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
>> ---
>>  Documentation/Makefile                        |  8 +++---
>>  Documentation/config/lsrefs.txt               |  2 +-
>>  Documentation/config/protocol.txt             |  2 +-
>>  Documentation/git-upload-pack.txt             |  5 ++--
>>  Documentation/gitformat-bundle.txt            |  2 +-
>>  ...ities.txt => gitprotocol-capabilities.txt} | 28 +++++++++++++++----
>>  ...ocol-common.txt => gitprotocol-common.txt} | 23 +++++++++++++--
>>  ...pack-protocol.txt => gitprotocol-pack.txt} | 24 +++++++++++++---
>>  .../protocol-v2.txt => gitprotocol-v2.txt}    | 25 +++++++++++++----
>>  Documentation/technical/api-simple-ipc.txt    |  2 +-
>>  Documentation/technical/http-protocol.txt     |  6 ++--
>>  .../long-running-process-protocol.txt         |  2 +-
>>  Documentation/technical/packfile-uri.txt      |  2 +-
>>  Documentation/technical/partial-clone.txt     |  2 +-
>>  command-list.txt                              |  5 +++-
>>  refspec.h                                     |  2 +-
>>  t/t5551-http-fetch-smart.sh                   |  4 +--
>>  17 files changed, 106 insertions(+), 38 deletions(-)
>
> OK, I see nothing unexpected.
>
> There is a silent "oops that is a screw-up in the previous step that
> can be buried in this patch that renames 4 files and hopefully nobody
> would notice" included, which should be removed by fixing the original
> screw-up in the previous step, though.

I tried to address all your other concerns in the just-sent v8, but I
don't think there's any rename fix-up here, but maybe I'm missing
something. These files are all being moved to their new
gitprotocol-*.txt homes (and weren't moved in preceding commits).